Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.remote.caucho.serialization
Class JMXSerializerFactory

    java.lang.Object
      com.caucho.hessian.io.SerializerFactory
          mx4j.tools.remote.caucho.serialization.JMXSerializerFactory

public class JMXSerializerFactory
extends com.caucho.hessian.io.SerializerFactory

Version:
  $Revision: 1.4 $

Field Summary

Fields inherited from class com.caucho.hessian.io.SerializerFactory
`_defaultSerializer`

Constructor Summary
`JMXSerializerFactory()`

Method Summary
`protected com.caucho.hessian.io.Deserializer` | `getDefaultDeserializer(java.lang.Class cls)`
`protected com.caucho.hessian.io.Serializer` | `getDefaultSerializer(java.lang.Class cls)`

Methods inherited from class com.caucho.hessian.io.SerializerFactory
`getDeserializer, getDeserializer, getObjectDeserializer, getSerializer, readList, readMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMXSerializerFactory

    public JMXSerializerFactory()

Method Detail

### getDefaultSerializer

    protected com.caucho.hessian.io.Serializer getDefaultSerializer(java.lang.Class cls)

### getDefaultDeserializer

    protected com.caucho.hessian.io.Deserializer getDefaultDeserializer(java.lang.Class cls)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.